summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author fuzzix2013-03-16 20:37:52 +0100
committer dsomero2013-03-22 12:16:48 +0100
commit1828f35dd38c740ab23af91951099fce8fc3f547 (patch)
tree2e2894f47f65608c79d1ec158faf270589cd08da /audio
parenta3e4f6fb5e8294f6d60f78c9fef7c3d9dd794649 (diff)
downloadslackbuilds-1828f35dd38c740ab23af91951099fce8fc3f547.tar.gz
audio/libbs2b: Added (improve headphone listening of stereo audio)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/libbs2b/README7
-rw-r--r--audio/libbs2b/libbs2b.SlackBuild97
-rw-r--r--audio/libbs2b/libbs2b.info10
-rw-r--r--audio/libbs2b/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/audio/libbs2b/README b/audio/libbs2b/README
new file mode 100644
index 0000000000..667d168fa3
--- /dev/null
+++ b/audio/libbs2b/README
@@ -0,0 +1,7 @@
+The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is designed
+to improve headphone listening of stereo audio records. Recommended for
+headphone prolonged listening to disable superstereo fatigue without essential
+distortions.
+
+This package includes the library, libbs2b, and command line tools for
+processing audio files.
diff --git a/audio/libbs2b/libbs2b.SlackBuild b/audio/libbs2b/libbs2b.SlackBuild
new file mode 100644
index 0000000000..d44f35f5de
--- /dev/null
+++ b/audio/libbs2b/libbs2b.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for libbs2b
+
+# Copyright 2013 fuzzix <fuzzix@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libbs2b
+VERSION=${VERSION:-3.1.0}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LIBS="-ldl" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/libbs2b/libbs2b.info b/audio/libbs2b/libbs2b.info
new file mode 100644
index 0000000000..a7c62b6e61
--- /dev/null
+++ b/audio/libbs2b/libbs2b.info
@@ -0,0 +1,10 @@
+PRGNAM="libbs2b"
+VERSION="3.1.0"
+HOMEPAGE="http://bs2b.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/bs2b/files/libbs2b/3.1.0/libbs2b-3.1.0.tar.bz2"
+MD5SUM="c1486531d9e23cf34a1892ec8d8bfc06"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="fuzzix"
+EMAIL="fuzzix@gmail.com"
diff --git a/audio/libbs2b/slack-desc b/audio/libbs2b/slack-desc
new file mode 100644
index 0000000000..8adf4e5913
--- /dev/null
+++ b/audio/libbs2b/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libbs2b: libbs2b (improve headphone listening of stereo audio)
+libbs2b:
+libbs2b: The Bauer stereophonic-to-binaural DSP (bs2b) library and plugins is
+libbs2b: designed to improveheadphone listening of stereo audio records.
+libbs2b:
+libbs2b: Recommended for headphone prolonged listening to disable superstereo
+libbs2b: fatigue without essential distortions
+libbs2b:
+libbs2b: Homepage: http://bs2b.sourceforge.net/
+libbs2b:
+libbs2b: